## bluedevil 1.0~rc3

=== src/wizard/CMakeLists.txt ===
set(wizard_SRCS
    main.cpp
    bluewizard.cpp
    wizardagent.cpp
    pages/introductionpage.cpp
    pages/discoverpage.cpp
    pages/pinpage.cpp
    pages/pairingpage.cpp
    pages/servicespage.cpp
    pages/serviceoption.cpp
)

kde4_add_ui_files(wizard_SRCS
            pages/introduction.ui
            pages/discover.ui
            pages/pin.ui
            pages/pairing.ui
            pages/services.ui
            pages/serviceOption.ui
)

kde4_add_executable(bluedevil-wizard ${wizard_SRCS})

target_link_libraries(bluedevil-wizard bluedevilaction
                      ${KDE4_KIO_LIBRARY} ${KDE4_KDEUI_LIBS} ${LibBlueDevil_LIBRARIES})

install(TARGETS bluedevil-wizard ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES bluedevil-wizard.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES pin-code-database.xml DESTINATION ${DATA_INSTALL_DIR}/bluedevil)

=== src/kio/obexftp/CMakeLists.txt ===
project(kio_obexftp)

set(kio_obexftp_SRCS
    kio_obexftp.cpp
   )

QT4_ADD_DBUS_INTERFACE(kio_obexftp_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/obexftp/manager.xml obexftpmanager)
QT4_ADD_DBUS_INTERFACE(kio_obexftp_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/obexftp/session.xml obexftpsession)
set(obexftpfiletransfer_xml ${CMAKE_CURRENT_SOURCE_DIR}/obexftp/filetransfer.xml)

kde4_add_plugin(kio_obexftp ${kio_obexftp_SRCS})

target_link_libraries(kio_obexftp
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KIO_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
)

QT4_AUTOMOC(${kio_obexftp_SRCS})

install(TARGETS kio_obexftp DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES obexftp.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
bluedevil (1.0~rc3-2) unstable; urgency=low

  * Remove the kbluetooth transitional package upon request by the release
    team, to unblock bluedevil's transition into squeeze.
  * Change kdebluetooth's version to be the same as bluedevil's
    but with epoch 1 and generated from debian/changelog automatically.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 27 Sep 2010 20:54:51 +0300

bluedevil (1.0~rc3-1) unstable; urgency=low

  * New upstream release candidate.
  * Add transitional kbluetooth and kdebluetooth packages.
  * Refresh patch 01_libbluedevilaction_is_private.diff.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sun, 12 Sep 2010 14:12:05 +0300

bluedevil (1.0~rc2-1) unstable; urgency=low

  [ George Kiagiadakis ]
  * Initial release. (Closes: #590694)

 -- Mark Purcell <msp@debian.org>  Sat, 07 Aug 2010 09:04:19 +1000

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.7),
 kdelibs5-dev (>= 4.4), shared-mime-info
Standards-Version: 3.9.1
Homepage: http://gitorious.org/bluedevil
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bluedevil.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bluedevil.git;a=summary

Package: bluedevil
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez, obexd-client, obex-data-server
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: The KDE bluetooth stack
 BlueDevil is a set of components which integrate bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keybaord, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc...)
  * A daemon to listen incoming petitions, for example to receive files
    or to introduce a requested PIN.

Package: kdebluetooth
Architecture: all
Depends: bluedevil, ${misc:Depends}
Description: dummy transition package for kdebluetooth to bluedevil
 This is a dummy package to help on the transition from kdebluetooth to
 bluedevil. You can safely remove it if you want.
 .
 It can also be removed from the Debian package once squeeze is released.

=== debian/rules ===
#!/usr/bin/make -f

# add epoch 1 to the kdebluetooth package
KDEBLUETOOTH_VERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: /1:/')

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- \
			-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_gencontrol:
	dh_gencontrol -pkdebluetooth -- -v$(KDEBLUETOOTH_VERSION)
	dh_gencontrol -pbluedevil

%:
	dh --parallel --with kde $@

## bluedevil 1.0~rc4

=== debian/changelog ===
bluedevil (1.0~rc4-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_fix_obexdaemon_connect_crash.diff to fix a kded crash on
    startup. (LP: #641297)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 19 Sep 2010 09:37:20 -0400

bluedevil (1.0~rc4-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Build against libbluedevil-dev 1.8

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 16 Sep 2010 14:53:24 +0200

bluedevil (1.0~rc3-0ubuntu2) maverick; urgency=low

  * Reupload now package is in main to build translation templates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Sep 2010 13:15:19 +0100

bluedevil (1.0~rc3-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Refresh 01_libbluedevilaction_is_private.diff
    - LP: #622880

 -- Rohan Garg <rohangarg@ubuntu.com>  Mon, 23 Aug 2010 21:52:21 +0530

bluedevil (1.0~rc2-1build1) maverick; urgency=low

  * Change arch from linux-any to any since Soyuz is behind the times
    - By the next time we autosync, Soyuz will be fixed, so build1 is safe

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Aug 2010 04:33:03 -0400

## bluedevil 1.0.2

=== debian/changelog ===
bluedevil (1.0.2-0ubuntu1~maverick1) maverick-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Sat, 05 Feb 2011 10:17:59 +0000

bluedevil (1.0.2-0ubuntu1) natty; urgency=low

  * New upstream release 

 -- Tarun Kumar Mall <c2tarun@gmail.com>  Wed, 02 Feb 2011 16:34:53 +0000

bluedevil (1.0.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Wed, 22 Dec 2010 10:00:37 -0500

bluedevil (1.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Drop kubuntu_01_fix_obexdaemon_connect_crash.diff, applied upstream
  * Closes LP: #658728 "bluedevil translations not being used"

 -- Rohan Garg <rohangarg@ubuntu.com>  Sat, 13 Nov 2010 00:09:01 +0530

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.8),
 kdelibs5-dev (>= 4.4), shared-mime-info
Standards-Version: 3.9.1
Homepage: http://gitorious.org/bluedevil
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bluedevil.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bluedevil.git;a=summary

Package: bluedevil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez, obexd-client, obex-data-server
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: The KDE bluetooth stack
 BlueDevil is a set of components which integrate bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keybaord, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc...)
  * A daemon to listen incoming petitions, for example to receive files
    or to introduce a requested PIN.

## bluedevil 1.1

=== debian/changelog ===
bluedevil (1.1-1) unstable; urgency=low

  * New upstream release. (Closes: #630135)

  [ Pino Toscano ]
  * Spell correctly "Bluetooth" in descriptions. (Closes: #627258)

  [ George Kiagiadakis ]
  * Bump standards-version to 3.9.2; no changes required.
  * Refresh patches.
  * Update debian/copyright.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sun, 12 Jun 2011 17:18:19 +0300

bluedevil (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dependency on libbluedevil-dev to version 1.8.1.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sun, 27 Mar 2011 16:38:36 +0300

bluedevil (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Drop the kdebluetooth transitional package.
    This was only for squeeze.
  * Update homepage.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Fri, 04 Mar 2011 16:34:06 +0200

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.8.1),
 kdelibs5-dev (>= 4.4), shared-mime-info
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/base/bluedevil
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bluedevil.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bluedevil.git;a=summary

Package: bluedevil
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez, obexd-client, obex-data-server
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: The KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keybaord, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc...)
  * A daemon to listen incoming petitions, for example to receive files
    or to introduce a requested PIN.

## bluedevil 1.2.1

=== debian/changelog ===
bluedevil (1.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #849936)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 19 Sep 2011 23:38:42 +0200

bluedevil (1.1.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 17:00:20 +0200

bluedevil (1.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Jul 2011 00:01:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bluedevil
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.8.1),
  kdelibs5-dev (>= 4.4), shared-mime-info

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- \
			-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_install:
	dh_install --list-missing

%:
	dh --parallel --with kde $@

## bluedevil 1.2.2

=== debian/changelog ===
bluedevil (1.2.2-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no remaining changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Dec 2011 16:28:09 +0000

bluedevil (1.1-2) UNRELEASED; urgency=low

  [ Pino Toscano ]
  * Small description fixes. (Closes: #630442)

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Fri, 16 Sep 2011 15:37:40 +0200

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.8.1),
 kdelibs5-dev (>= 4.4), shared-mime-info
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/base/bluedevil
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bluedevil.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bluedevil.git;a=summary

Package: bluedevil
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez, obexd-client, obex-data-server
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc...)
  * A daemon to listen incoming requests, for example to receive files
    or to introduce a requested PIN.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,5 @@
 			-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
 			-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"
 
-override_dh_install:
-	dh_install --list-missing
-
 %:
 	dh --parallel --with kde $@

## bluedevil 1.2.3

=== debian/changelog ===
bluedevil (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Add myself to uploaders.
  * Require libbluedevil-dev 1.9.2 for building.

 -- Modestas Vainius <modax@debian.org>  Tue, 01 May 2012 16:23:49 +0300

bluedevil (1.2.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #658313)
  * Patch 01_libbluedevilaction_is_private.diff: refresh, and add more targets.
  * Small description fixes. (Closes: #630442)
  * Add a watch file.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Update lintian overrides.
  * Bump debhelper compatibility to 9:
    - move arguments of `dh' to pass sequence first
    - bump debhelper build dependency to 9
    - bump compat to 9 (this also makes use of dpkg-buildflags)
    - switch to DEB_LDFLAGS_MAINT_APPEND to append our custom LDFLAGS
  * Set the epoch in the version of the kdelibs5-dev build dependency
    (otherwise lesser versions match).

 -- Pino Toscano <pino@debian.org>  Tue, 03 Apr 2012 12:19:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.8.1),
- kdelibs5-dev (>= 4.4), shared-mime-info
-Standards-Version: 3.9.2
+Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.9.2),
+ kdelibs5-dev (>= 4:4.4), shared-mime-info
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/base/bluedevil
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bluedevil.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bluedevil.git;a=summary

## bluedevil 1.2.4

=== debian/changelog ===
bluedevil (1.2.4-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream bugfix release LP: #1065545

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Oct 2012 18:46:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bluedevil
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.9.2),
  kdelibs5-dev (>= 4:4.4), shared-mime-info

## bluedevil 1.3

=== debian/changelog ===
bluedevil (1.3-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Mar 2013 16:00:06 +0000

## bluedevil 1.3.1

=== debian/changelog ===
bluedevil (1.3.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump libbluedevil-dev build dependency to 1.9.3.
  * Fix Vcs-* headers.
  * Update copyright.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Refresh patch 01_libbluedevilaction_is_private.diff.
  * Fix the description. (Closes: #667528)

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2013 14:05:21 +0200

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.9.3),
 kdelibs5-dev (>= 4:4.4), shared-mime-info
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/extragear/base/bluedevil
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/bluedevil.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/bluedevil.git;a=summary

Package: bluedevil
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez, obexd-client, obex-data-server
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

## bluedevil 1.3.2

=== debian/changelog ===
bluedevil (1.3.2-0ubuntu1~ubuntu13.10) saucy; urgency=low

  * Saucy update using KDE micro release exception LP: #1220779

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 15:43:44 +0000

bluedevil (1.3.2-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 15:29:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bluedevil
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.9.3),
  kdelibs5-dev (>= 4:4.4), shared-mime-info

## bluedevil 2.0~rc1really1.3.2

=== CMakeLists.txt ===
project(bluedevil)

find_package(KDE4 REQUIRED)

set(CMAKE_BLUEDEVIL_VERSION_MAJOR 1)
set(CMAKE_BLUEDEVIL_VERSION_MINOR 3)
set(CMAKE_BLUEDEVIL_VERSION_PATCH 0)
set(CMAKE_BLUEDEVIL_VERSION_STRING  "${CMAKE_BLUEDEVIL_VERSION_MAJOR}.${CMAKE_BLUEDEVIL_VERSION_MINOR}.${CMAKE_BLUEDEVIL_VERSION_PATCH}")
configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

include(KDE4Defaults)
include(MacroOptionalAddSubdirectory)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
find_package(LibBlueDevil REQUIRED)
find_package(SharedMimeInfo REQUIRED)

include_directories(${KDE4_INCLUDES} ${LibBlueDevil_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_TW)
add_subdirectory(nds)
add_subdirectory(ca@valencia)
add_subdirectory(fi)
add_subdirectory(sv)
add_subdirectory(mai)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(bs)
add_subdirectory(sk)
add_subdirectory(kk)
add_subdirectory(zh_CN)
add_subdirectory(ko)
add_subdirectory(ca)
add_subdirectory(da)
add_subdirectory(ug)
add_subdirectory(de)
add_subdirectory(eo)
add_subdirectory(pa)
add_subdirectory(eu)
add_subdirectory(en_GB)
add_subdirectory(et)
add_subdirectory(hu)
add_subdirectory(ru)
add_subdirectory(it)
add_subdirectory(ga)
add_subdirectory(ar)
add_subdirectory(fa)
add_subdirectory(km)
add_subdirectory(es)
add_subdirectory(el)
add_subdirectory(sr@ijekavian)
add_subdirectory(lt)
add_subdirectory(cs)
add_subdirectory(sr)
add_subdirectory(ja)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(sl)
add_subdirectory(pt)
add_subdirectory(th)
add_subdirectory(nb)
add_subdirectory(gl)
add_subdirectory(sr@latin)
add_subdirectory(nl)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(fr)
add_subdirectory(ro)
add_subdirectory(mr)
add_subdirectory(ms)

=== po/eo/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(eo ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/actionplugins/CMakeLists.txt ===
add_subdirectory(input)
add_subdirectory(audio)
add_subdirectory(sendfile)
add_subdirectory(networkdun)
add_subdirectory(networkpanu)

kde4_add_library(bluedevilaction SHARED actionplugin.cpp)

target_link_libraries(bluedevilaction ${KDE4_KDEUI_LIBS})

install(TARGETS bluedevilaction ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES actionplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES actionplugin.h DESTINATION ${INCLUDE_INSTALL_DIR}/bluedevil)

=== src/daemon/CMakeLists.txt ===
add_subdirectory(obexftpkded)
add_subdirectory(kded)
add_subdirectory(helpers)

=== src/fileitemactionplugin/CMakeLists.txt ===
kde4_add_plugin(bluetoothfiletiemaction sendfileitemaction.cpp)
target_link_libraries(bluetoothfiletiemaction ${KDE4_KIO_LIBS} ${LibBlueDevil_LIBRARIES})
install(TARGETS bluetoothfiletiemaction DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES bluedevilsendfile.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/actionplugins/networkdun/CMakeLists.txt ===
add_subdirectory(helper)
set(bluedevilnetworkdunactionplugin_SRCS networkdun.cpp)

kde4_add_plugin(bluedevilnetworkdunactionplugin ${bluedevilnetworkdunactionplugin_SRCS})

target_link_libraries(bluedevilnetworkdunactionplugin ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${LibBlueDevil_LIBRARIES} bluedevilaction)

install(TARGETS bluedevilnetworkdunactionplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES bluedevil-network-dun.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/actionplugins/networkpanu/CMakeLists.txt ===
add_subdirectory(helper)
set(bluedevilnetworkpanuactionplugin_SRCS networkpanu.cpp)

kde4_add_plugin(bluedevilnetworkpanuactionplugin ${bluedevilnetworkpanuactionplugin_SRCS})

target_link_libraries(bluedevilnetworkpanuactionplugin ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${LibBlueDevil_LIBRARIES} bluedevilaction)

install(TARGETS bluedevilnetworkpanuactionplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES bluedevil-network-panu.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/daemon/helpers/CMakeLists.txt ===
add_subdirectory(confirmmodechange)
add_subdirectory(requestconfirmation)
add_subdirectory(requestpin)
add_subdirectory(authorize)
add_subdirectory(filereceiver)

=== src/kio/bluetooth/CMakeLists.txt ===
set(kio_bluetooth_PART_SRCS
   kiobluetooth.cpp)

set(kded_bluedevil.xml ${CMAKE_CURRENT_SOURCE_DIR}/kded_bluedevil.xml)
set_source_files_properties(${kded_bluedevil.xml} PROPERTIES INCLUDE "types.h")
qt4_add_dbus_interface(kio_bluetooth_PART_SRCS ${kded_bluedevil.xml} kdedbluedevil)

kde4_add_plugin(kio_bluetooth ${kio_bluetooth_PART_SRCS})

target_link_libraries(kio_bluetooth
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KIO_LIBRARY}
  ${KDE4_KDEUI_LIBS}
  ${LibBlueDevil_LIBRARIES}
)

########### install files ###############
install(TARGETS kio_bluetooth DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES bluetooth.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== src/actionplugins/input/helper/CMakeLists.txt ===
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
)

set(inputhelper_SRCS
    main.cpp
    inputhelper.cpp
    ../../../wizard/wizardagent.cpp
)

kde4_add_executable(bluedevil-input ${inputhelper_SRCS})

target_link_libraries(bluedevil-input bluedevilaction
                      ${KDE4_KIO_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${LibBlueDevil_LIBRARIES} bluedevil)

install(TARGETS bluedevil-input DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES bluedevil-input.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/actionplugins/networkdun/helper/CMakeLists.txt ===
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
)

set(networkdunhelper_SRCS
    main.cpp
    networkdunhelper.cpp
)

kde4_add_executable(bluedevil-network-dun ${networkdunhelper_SRCS})

target_link_libraries(bluedevil-network-dun bluedevilaction
                      ${KDE4_KIO_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${LibBlueDevil_LIBRARIES} bluedevil)

install(TARGETS bluedevil-network-dun DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES bluedevil-network-dun.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
bluedevil (2.0~rc1really1.3.2-0ubuntu1) trusty; urgency=medium

  * Revert back to 1.3.2 due to no bluez 5 in Trusty

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Feb 2014 09:33:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>, George Kiagiadakis <kiagiadakis.george@gmail.com>, Mark Purcell <msp@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 1.9.3),
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libbluedevil-dev (>= 2.0~rc1really1.9.4),
  kdelibs5-dev (>= 4:4.4), shared-mime-info
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/base/bluedevil

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
ftp://ftp.kde.org/pub/kde/stable/bluedevil/([\d.]+)/src/bluedevil-([\d.]+).tar.bz2

## bluedevil 2.0~rc1-44

=== CMakeLists.txt ===
project(bluedevil)

find_package(KDE4 REQUIRED)

set(CMAKE_BLUEDEVIL_VERSION_MAJOR 2)
set(CMAKE_BLUEDEVIL_VERSION_MINOR 0)
set(CMAKE_BLUEDEVIL_VERSION_PATCH 0)
set(CMAKE_BLUEDEVIL_VERSION_STRING  "${CMAKE_BLUEDEVIL_VERSION_MAJOR}.${CMAKE_BLUEDEVIL_VERSION_MINOR}.${CMAKE_BLUEDEVIL_VERSION_PATCH}")
configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

include(KDE4Defaults)
include(MacroOptionalAddSubdirectory)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
find_package(LibBlueDevil 2.0 REQUIRED)
find_package(SharedMimeInfo REQUIRED)

include_directories(${KDE4_INCLUDES} ${LibBlueDevil_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

=== src/daemon/CMakeLists.txt ===
add_subdirectory(kded)
add_subdirectory(helpers)

=== src/kio/obexftp/daemon/CMakeLists.txt ===
set(kded_obexftp_SRCS
    ObexFtpDaemon.cpp
    createsessionjob.cpp
)

set(SENDER_PLUGIN_PATH ${CMAKE_SOURCE_DIR}/src/sendfile/)
qt4_add_dbus_interface(kded_obexftp_SRCS ${SENDER_PLUGIN_PATH}org.bluez.obex.Client1.xml obexd_client)

set(OBJECT_MANAGER_FILE org.freedesktop.DBus.ObjectManager.xml)
set_source_files_properties(${OBJECT_MANAGER_FILE} PROPERTIES INCLUDE "../obexdtypes.h")
qt4_add_dbus_interface(kded_obexftp_SRCS org.freedesktop.DBus.ObjectManager.xml dbus_object_manager)

kde4_add_plugin(kded_obexftpdaemon
    ${kded_obexftp_SRCS}
)

target_link_libraries(kded_obexftpdaemon
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KFILE_LIBS}
    ${LibBlueDevil_LIBRARIES}
)

install(TARGETS kded_obexftpdaemon DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES obexftpdaemon.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

## bluedevil 2.0~rc1-44-gb7697a7

=== debian/changelog ===
bluedevil (2.0~rc1-44-gb7697a7-3) unstable; urgency=medium

  * Team upload.
  * Correct depends on bluez-obexd (Closes: #771116, #771293) 

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Nov 2014 17:52:59 -0500

bluedevil (2.0~rc1-44-gb7697a7-2) unstable; urgency=medium

  * Team upload to unstable

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Oct 2014 19:01:19 +0200

bluedevil (2.0~rc1-44-gb7697a7-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
    - Bump Build-Depends on libbluedevil-dev to 2.0~rc1-6-g7bb223c

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Oct 2014 08:20:27 +0200

bluedevil (2.0~rc1-3) unstable; urgency=medium

  * Change dependencies to bluez-obexd | obexd-client. (Closes: #760924)
    Thanks to 石頭成

 -- Maximiliano Curia <maxy@debian.org>  Thu, 16 Oct 2014 22:34:49 +0200

bluedevil (2.0~rc1-2) unstable; urgency=medium

  * Team upload to unstable as bluez5 landed in unstable.

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Jul 2014 13:45:43 +0200

bluedevil (2.0~rc1-1) experimental; urgency=medium

  * Team upload
  * New upstream release, introducting Bluez5 support (Closes: #710129)
    - Bump Build-Depends against libbluedevil-dev to >= 2.0~rc1
    - Bump Depends against bluez to >= 5
    - Drop the patch making libbluedevilaction private as it doesn't exist in
      2.0~rc1 anymore
  * Bump Standards-Version to 3.9.5 without changes needed
  * Drop 5 now-unused binary-without-manpage overrides

 -- Didier Raboud <odyx@debian.org>  Thu, 15 May 2014 20:21:50 +0200

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Mark Purcell <msp@debian.org>,
           Modestas Vainius <modax@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.4),
               libbluedevil-dev (>= 2.0~rc1-6-g7bb223c),
               pkg-kde-tools (>= 0.5),
               shared-mime-info
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/base/bluedevil
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/bluedevil.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/bluedevil.git;a=summary

Package: bluedevil
Architecture: linux-any
Depends: bluez (>= 5),
         obex-data-server,
         bluez-obexd,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

=== debian/watch ===
version=3
http://download.kde.org/stable/bluedevil/([\d.]+)/src/bluedevil-([\d.]+).tar.xz
opts="uversionmangle=s/-/~/" \
    http://download.kde.org/unstable/bluedevil/([\d.]+-rc[\d.]*)/src/bluedevil-([\d.]+-rc[\d.]*).tar.xz

## bluedevil 5.4.2

=== CMakeLists.txt ===
project(bluedevil)
set(PROJECT_VERSION "5.4.2")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(QT_MIN_VERSION "5.4.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Qml
    DBus)

find_package(KF5 MODULE REQUIRED COMPONENTS
    CoreAddons
    WidgetsAddons
    DBusAddons
    Notifications
    WindowSystem
    IconThemes
    Plasma
    I18n
    KIO
    BluezQt)

find_package(KDED REQUIRED)
find_package(SharedMimeInfo REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
bluedevil (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:50:24 +0100

bluedevil (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:08:44 +0100

bluedevil (4:5.4.0-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Add dependency on qml-module-org-kde-bluezqt.

  [ Jonathan Riddell ]
  * New upstream release

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 31 Aug 2015 15:46:02 +0100

bluedevil (4:5.1.95-0ubuntu1) wily; urgency=medium

  * Upload bluez5 transitions ppa version to wily

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Aug 2015 17:44:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,40 @@
 Source: bluedevil
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Mark Purcell <msp@debian.org>,
-           Modestas Vainius <modax@debian.org>
-Build-Depends: cmake,
+           Modestas Vainius <modax@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.4),
-               libbluedevil-dev (>= 2.0~rc1-6-g7bb223c),
-               pkg-kde-tools (>= 0.5),
+               extra-cmake-modules (>= 5),
+               kded5-dev,
+               kio-dev,
+               libkf5bluezqt-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5notifications-dev,
+               libkf5widgetsaddons-dev,
+               pkg-kde-tools (>= 0.15.16),
+               plasma-framework-dev,
+               qtbase5-dev (>= 5.4.0~),
+               qtdeclarative5-dev (>= 5.4.0~),
                shared-mime-info
 Standards-Version: 3.9.6
-Homepage: https://projects.kde.org/projects/extragear/base/bluedevil
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/bluedevil.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/bluedevil.git;a=summary
+Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/bluedevil.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/bluedevil.git
 
 Package: bluedevil
 Architecture: linux-any
 Depends: bluez (>= 5),
+         bluez-obexd,
          obex-data-server,
-         bluez-obexd,
+         qml-module-org-kde-bluezqt,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: pulseaudio-module-bluetooth | bluez-alsa

## bluedevil 5.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(bluedevil)
-set(PROJECT_VERSION "5.4.2")
+set(PROJECT_VERSION "5.5.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)
@@ -37,8 +37,6 @@
 include(ECMOptionalAddSubdirectory)
 include(FeatureSummary)
 
-configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_subdirectory(src)

=== src/kio/bluetooth/CMakeLists.txt ===
set(kio_bluetooth_SRCS
   kiobluetooth.cpp)

set(kded_bluedevil.xml ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil.xml)
set_source_files_properties(${kded_bluedevil.xml} PROPERTIES INCLUDE ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil_types.h)
qt5_add_dbus_interface(kio_bluetooth_SRCS ${kded_bluedevil.xml} kdedbluedevil)

add_library(kio_bluetooth MODULE ${kio_bluetooth_SRCS})

target_link_libraries(kio_bluetooth
    Qt5::Core
    Qt5::DBus
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
)

target_include_directories(kio_bluetooth SYSTEM
    PUBLIC $<TARGET_PROPERTY:KF5::BluezQt,INTERFACE_INCLUDE_DIRECTORIES>)

########### install files ###############
install(TARGETS kio_bluetooth DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES bluetooth.protocol DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES bluetooth-network.desktop DESTINATION ${DATA_INSTALL_DIR}/remoteview)

=== debian/changelog ===
bluedevil (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:31:17 -0700

bluedevil (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial
  * Fix changelog syntax error. 

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:17:56 +0100

bluedevil (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:26:00 +0100

bluedevil (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:58 +0100

bluedevil (4:5.4.2-1) unstable; urgency=medium

  * Drop obex-data-server dependency. (Closes: #780795) Thanks to David Rosca
  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:14 +0200

bluedevil (4:5.4.1-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependency on qml-module-org-kde-kio.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 14 Sep 2015 18:10:57 +0200

bluedevil (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:26 +0200

bluedevil (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 22:06:36 +0200

bluedevil (4:5.3.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).

  [ José Manuel Santamaría Lema ]
  * Add dependency on qml-module-org-kde-bluezqt.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 10:22:53 +0200

bluedevil (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:50:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,19 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5),
-               kded5-dev,
-               kio-dev,
-               libkf5bluezqt-dev,
-               libkf5coreaddons-dev,
-               libkf5dbusaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5notifications-dev,
-               libkf5widgetsaddons-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               kded5-dev (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5bluezqt-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5notifications-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.16),
-               plasma-framework-dev,
+               plasma-framework-dev (>= 5.18.0~),
                qtbase5-dev (>= 5.4.0~),
                qtdeclarative5-dev (>= 5.4.0~),
                shared-mime-info
@@ -33,8 +34,8 @@
 Architecture: linux-any
 Depends: bluez (>= 5),
          bluez-obexd,
-         obex-data-server,
          qml-module-org-kde-bluezqt,
+         qml-module-org-kde-kio,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: pulseaudio-module-bluetooth | bluez-alsa

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/bluedevil-([\d.]+).tar.xz
http://download.kde.org/stable/plasma/([\d.]+)/bluedevil-([\d.]+).tar.xz

## bluedevil 5.7.5

=== debian/changelog ===
bluedevil (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:24:34 -0500

bluedevil (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:02:55 +0000

bluedevil (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:41:31 +0100

bluedevil (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:11:58 -0700

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,26 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kded5-dev (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5bluezqt-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5notifications-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kded5-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5bluezqt-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.15.16),
-               plasma-framework-dev (>= 5.18.0~),
-               qtbase5-dev (>= 5.4.0~),
-               qtdeclarative5-dev (>= 5.4.0~),
+               plasma-framework-dev (>= 5.24.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                shared-mime-info
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/bluedevil.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/bluedevil.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
 
 Package: bluedevil
 Architecture: linux-any
